2 zd 3226 zd_3226 于 2016.03.30 19:34 提问

ie7和ie8浏览器兼容问题

对于在ie7和ie8浏览器上网站的排班出现问题,加一个js浏览器版本判断,如果版本低于ie9就转为支持html5的浏览器,代码怎么编写啊,求助!!

2个回答

CSDNXIAOD
CSDNXIAOD   2016.03.30 19:42

IE8和IE7的兼容问题
IE6 IE7 IE8 FF浏览器的CSS兼容问题探究
解决IE7\IE8部分错位兼容问题
----------------------biu~biu~biu~~~在下问答机器人小D,这是我依靠自己的聪明才智给出的答案,如果不正确,你来咬我啊!

showbo
showbo   Ds   Rxr 2016.03.30 19:57
 <!--[if lt IE 9]><script>alert('太老土了,还用ie8-浏览器。。。。')</script><![endif]-->
showbo
showbo 回复zd_3226: 人家ie8最高,如xp系统,怎么可能切换ie9+以上,只能提示访问者升级浏览器。如果是ie9+,可以指定X-UA-Compatible用最新的版本展示。<meta http-equiv=”X-UA-Compatible” content=”IE=edge” >,可用值看这个“http://www.w3dev.cn/article/20130126/IE-X-UA-Compatible-content.aspx
一年多之前 回复
zd_3226
zd_3226 那怎么能让它自动切换为ie8以上的浏览器啊?
一年多之前 回复
Csdn user default icon
上传中...
上传图片
插入图片
准确详细的回答,更有利于被提问者采纳,从而获得C币。复制、灌水、广告等回答会被删除,是时候展现真正的技术了!